=== debian/changelog ===
akregator (4:20.08.3-1+deb11u1) bullseye; urgency=medium

  [ Sandro Knauß ]
  * Add backport patch 2f6d4e233ae8178535d74c1da0cf75a54762d165.diff
    (Closes: #1027689).

 -- Sandro Knauß <hefee@debian.org>  Fri, 13 Jan 2023 00:49:15 +0100

akregator (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:53 +0100
