=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: akregator
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,55 +11,55 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.1~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
                kuserfeedback-dev,
                libassuan-dev,
                libgrantlee5-dev (>= 5.1~),
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadimime-dev (>= 4:21.08.1~),
-               libkf5akonadiserver-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadiserver-dev (>= 4:21.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5contacteditor-dev (>= 4:21.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5grantleetheme-dev (>= 21.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.08.1~),
+               libkf5identitymanagement-dev (>= 21.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 21.08.1~),
-               libkf5libkdepim-dev (>= 4:21.08.1~),
-               libkf5libkleo-dev (>= 4:21.08.1~),
-               libkf5messagecomposer-dev (>= 4:21.08.1~),
-               libkf5messagecore-dev (>= 4:21.08.1~),
-               libkf5messagelist-dev (>= 4:21.08.1~),
-               libkf5messageviewer-dev (>= 4:21.08.1~),
-               libkf5mimetreeparser-dev (>= 4:21.08.1~),
+               libkf5kontactinterface-dev (>= 21.12.3~),
+               libkf5libkdepim-dev (>= 4:21.12.3~),
+               libkf5libkleo-dev (>= 4:21.12.3~),
+               libkf5messagecomposer-dev (>= 4:21.12.3~),
+               libkf5messagecore-dev (>= 4:21.12.3~),
+               libkf5messagelist-dev (>= 4:21.12.3~),
+               libkf5messageviewer-dev (>= 4:21.12.3~),
+               libkf5mimetreeparser-dev (>= 4:21.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.08.1~),
-               libkf5pimtextedit-dev (>= 21.08.1~),
+               libkf5pimcommon-dev (>= 4:21.12.3~),
+               libkf5pimtextedit-dev (>= 21.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syndication-dev (>= 18.11.80~),
-               libkf5templateparser-dev (>= 4:21.08.1~),
+               libkf5templateparser-dev (>= 4:21.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.08.1~),
+               libkf5webengineviewer-dev (>= 4:21.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
