## akregator 21.12.3-0ubuntu1+11.0trisquel3

=== debian/changelog ===
akregator (4:21.12.3-0ubuntu1+11.0trisquel3) aramo; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 28 Dec 2022 00:54:22 +0000
